Start a conversation

What version of iOS do I need to use the Ajax APP?

9.1 or higher.

Compatible with iPhone, iPad and iPod touch.

Choose files or drag and drop files